Bug 8683 - Install doesn't install: Exception occures
Install doesn't install: Exception occures
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-20 18:06 EST by Brandon M. Bost
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-07 07:55:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon M. Bost 2000-01-20 18:06:32 EST
I have downloaded RedHat 6.1 from ftp to my hard drive (my second partition
hda5), and after I boot from the floppy I made, and after picking the
language, install type, etc., I get to where it says it's Reading package
information.  After just a little bit, I get an Exception Occured window
that says:

Traceback (innermost last):
  File "/usr/bin/anaconda.real",
line 225, in ?
   intf.run(todo, test = test)
  File
"/tmp/lib/python1-5/site-packages/text.py", line 1000, in run
    rc = apply(step[1](), step[2])
  File
"'                                      '", line 468, in __call__
    todo.getCompsList()
  File
"'                              '/todo.py", line 942, in getCompsList
    self.getHeaderList()
  File
"'                              '/todo.py", line 930, in getHeaderList
    self.method.readHeaders()
  File
"'                              '/harddrive.py", line 46, in readHeaders
    return HeaderList(hl)
  File
"'                              '/comps.py", line 50, in __init__
    name = h[rpm.RPMTAG_NAME]
TypeError: unsubscriptable object

Can anybody tell me what this means, and how I can get this to install?
After this, it says to restart my computer.

PS: Also, it sometimes hangs at the Welcome screen.  It does this more
often than I'd like, but it doesn't do it all the time.
Comment 1 Brandon M. Bost 2000-01-20 20:18:59 EST
I would like to add that I tried to install using the updated images on the
errata, plus using the updates image.  I used rawrite to create both disks.
But, I still get this error.
Comment 2 Nalin Dahyabhai 2000-01-21 09:43:59 EST
Are there any files in the RedHat/RPMS directory on your hard disk that are
not RPM packages?  If there are (I suspect a TRANS.TBL or ls-lR file), try
removing them.
Comment 3 Brandon M. Bost 2000-02-05 22:01:59 EST
I'm sorry I haven't answered in quite a while.  You were right, it was a file in
the RPMS directory that caused it to give me that error.  I thank you for your
help.
Comment 4 Nalin Dahyabhai 2000-02-07 07:55:59 EST
Thanks for following up on this.  I'm going to tag this bug as resolved.

Note You need to log in before you can comment on or make changes to this bug.